import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TranslateOnhoverDirective {
    private el;
    translateOnHover?: boolean;
    constructor(el: ElementRef);
    ngOnChanges(): void;
    setTranslate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslateOnhoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TranslateOnhoverDirective, "[simpoTranslateOnhover]", never, { "translateOnHover": { "alias": "simpoTranslateOnhover"; "required": false; }; }, {}, never, never, true, never>;
}
